model ThyristorIns "Modèle de thyristor instrumenté"
           extends Coselica.Electrical.Analog.Semiconductors.Thyristor;
          Modelica.Blocks.Interfaces.RealOutput Tension; 
          Modelica.Blocks.Interfaces.RealOutput Courant;
          Modelica.Blocks.Interfaces.RealOutput Puissance;
        equation
          Puissance.signal = (Anode.v-Cathode.v)* Cathode.i; 
          Tension.signal=Anode.v-Cathode.v;
          Courant.signal=Cathode.i;
end ThyristorIns;
