// Copyright (C)  2016 - INRIA - Serge Steer
//
// This file is licensed under the  the CeCILL v.2.1.
function main_builder()

  NAME  = "MaPalette";
  TITLE = "Ma Palette";
  module_path   = get_absolute_file_path("builder.sce");

  [status, msg] = mkdir(module_path+"images/h5");
  if or(status == [-2 0]) then error(msg);end

  tbx_builder_macros(module_path);
  tbx_builder_src(module_path);
  tbx_builder_help(module_path);
  tbx_build_loader(NAME, module_path);
  tbx_build_cleaner(NAME, module_path);
endfunction

if with_module('xcos') then
  main_builder();
  clear main_builder; // remove main_builder on stack
end
