// Copyright (C)  2016 - INRIA - Serge Steer
//
// This file is licensed under the  the CeCILL v.2.1.
function [sciblk, s1, s2]=LocalMaxInt(job, sciblk,e1)
  s1 = []; s2 = [];
  select job
  case "set" then
    exprs=sciblk.graphics.exprs;
    while %t do
      [ok, inh, exprs] = scicos_getvalue(_("LocalMax block parameters"),...
                                         _("Inherit (no:0, yes:1"),...
                                         list("vec",1),exprs);
      if ~ok then return,end
      if or(inh==[0 1])  then break;end
    end
    if inh==0 then evtout=1; else evtout=[]; end
    evtin = 1;
    [model,graphics,ok]=set_io(sciblk.model,sciblk.graphics,...
                               list([1 1],1),list([1 1],1),evtout,evtin);

    graphics.exprs = exprs;
    sciblk.graphics =  graphics;
    sciblk.model =  model;
  case "define" then
    model = scicos_model();
    model.sim = list("LocalMaxSim", 4);
    model.intyp = 1;
    model.in  = 1;
    model.in2 = 1;
    model.outtyp = [1 1];
    model.out  = [1 1];
    model.out2 = [1 1];
    model.evtin = 1;
    model.evtout = 1;
    model.dep_ut = [%f %f];
    sciblk = standard_define([3 2], model, "0");
    style_properties=["blockWithLabel";
                      "verticalLabelPosition=middle"
                      "verticalAlign=middle";
                      "displayedLabel=Local Max"],
    sciblk.graphics.style=strcat(style_properties,";");
  end
endfunction
