/* Copyright (C)  2016 - INRIA - Serge Steer
   This file is licensed under the  the CeCILL v.2.1.*/
#include "scicos_block4.h"
#include "scicos.h"
void DiffSim(scicos_block *Cblk, int flag)
{
  double t=get_scicos_time();
  sciprint("flag=%d,u=%g,x=%g,xd=%g,t=%g\n",flag,*GetRealInPortPtrs(Cblk,1),*GetState(Cblk),*GetDerState(Cblk),t);
  switch(flag)
    {
    case Initialization: 
    case ContinousPropertiesUpdate: 
      {
        int* xproperty = GetXpropPtrs(Cblk);
        *xproperty = 2*(*GetIparPtrs(Cblk))-1; 
        break;
      }
    case DerivativeState:
      {
        double *res = GetResState(Cblk);
        *res = *GetRealInPortPtrs(Cblk,1) - *GetState(Cblk);
        sciprint("        res=%g\n",*GetResState(Cblk));
 
        break;
      }
    case OutputUpdate: 
    case ReInitialization:
      {
        double *y = GetRealOutPortPtrs(Cblk,1);
        *y = *GetDerState(Cblk);
        sciprint("        y=%g\n",*GetDerState(Cblk));
 
        break;
      }	
    }
}
