/* Copyright (C)  2016 - INRIA - Serge Steer
   This file is licensed under the  the CeCILL v.2.1.*/
#include "math.h"
#include "scicos_block4.h"
void Rot3DSim(scicos_block *Cblk, scicos_flag flag)
{
  if(flag == OutputUpdate){/* Evaluation de la fonction F */
    double *in = GetRealInPortPtrs(Cblk,1);  /* Tableau d'entrée associé au port n°1*/
    double *out = GetRealOutPortPtrs(Cblk,1);/* Tableau  associé au registre de sortie*/
    int nrow = GetInPortRows(Cblk,1);    /* Nombre de lignes des tableaux d'E/S*/
    int ncol = GetInPortCols(Cblk,1);    /* Nombre de colonnes des tableaux d'E/S*/

    char *ax = (char *)Getuint8OparPtrs(Cblk,1);
    double theta = *GetRealOparPtrs(Cblk,2);
    if (strcmp(ax,"x")==0) {
      out[0]= in[0];
      out[1]= cos(theta)*in[1] + sin(theta)*in[2];
      out[2]= -sin(theta)*in[1] + cos(theta)*in[2];
    }
    else if (strcmp(ax,"y")==0) {
      out[0]= cos(theta)*in[0] - sin(theta)*in[2];
      out[1]= in[1];
      out[2]= sin(theta)*in[0] + cos(theta)*in[2];
    }
    else if (strcmp(ax,"z")==0) {
      out[0]= cos(theta)*in[0] + sin(theta)*in[1];
      out[1]= -sin(theta)*in[0] + cos(theta)*in[1];
      out[2]= in[2];
    }
  }
}
