// Copyright (C)  2016 - INRIA - Serge Steer
//
// This file is licensed under the  the CeCILL v.2.1.
function [sciblk, s1, s2]=Rot3DInt(job, sciblk, e1)
  s1= []; s2 = [];// arguments requis mais non utilisés 
  select job 
  case "set" then 
    
    exprs = sciblk.graphics.exprs;
    model = sciblk.model;
    while %t do
      [ok, ax, theta, exprs] = scicos_getvalue(_("3D rotation block parameters"),...
                                   [_("Axis (x/y/z)");_("Angle (degree)")],...
                                   list("str",1,"vec",1),exprs);
      if ~ok then return,end
      if or(ax == ["x","y","z"]) then break,end
      messagebox(_("The axis parameter value must be ""x"", ""y"" or ""z"""),"modal");
    end;
    sciblk.model.opar=list(uint8([ascii(ax) 0]), theta*%pi/180);
    sciblk.graphics.exprs=exprs;
    style_properties=["blockWithLabel"
                      "verticalLabelPosition=middle" 
                      "verticalAlign=middle";
                      "displayedLabel=3D Rot "+ax+"<br> angle="+string(theta)+"°"];
    sciblk.graphics.style=strcat(style_properties,";")
  case "define" then 
     model =  scicos_model(); 
     model.sim = list("Rot3DSim", 4); 
     model.intyp  = 1; 
     model.outtyp = 1; 
     model.in = 3; 
     model.in2 = 1; 
     model.out = 3; 
     model.out2 = 1; 
     model.dep_ut = [%t %f];
     //Valeur initiale des paramètres
     ax="x";
     theta = 45;
     model.opar = list(uint8([ascii(ax) 0]), theta*%pi/180);
     exprs =[ax;sci2exp(theta)]
     sciblk = standard_define([3 2], model, exprs);
     style_properties=["blockWithLabel"
                       "verticalLabelPosition=middle" 
                       "verticalAlign=middle";
                       "displayedLabel=3D Rot "+ax+"<br> angle="+string(theta)+"°"];
     sciblk.graphics.style=strcat(style_properties,";")
  end
endfunction
