/* Copyright (C)  2016 - INRIA - Serge Steer
   This file is licensed under the  the CeCILL v.2.1.*/
#include "math.h"
#include "scicos_block4.h"
#include "scicos.h"
void ExtremaSim(scicos_block *Cblk, scicos_flag flag)
{
  if (flag == OutputUpdate || flag == ReInitialization) {
    double *y = GetRealOutPortPtrs(Cblk,1);
    y[0] = *GetRealOzPtrs(Cblk, 2);
  }
  else if (flag == StateUpdate) {
    double *z = GetRealOzPtrs(Cblk, 1);
    double *e = GetRealOzPtrs(Cblk, 2);
    z[0] = z[1];
    z[1] = z[2];
    z[2] = *GetRealInPortPtrs(Cblk,1);
    if (z[1] > z[0] && z[1] > z[2])  e[0] = z[1];
  }
  else if (flag == OutputEventTiming) {
    double *t_act = GetNevOutPtrs(Cblk);
    double *z =  GetRealOzPtrs(Cblk, 1);
    if (z[1] > z[0] && z[1] > z[2]) {
      t_act[0] =  0; 
    }
    else 
      t_act[0] =   - 1.0;

  }
}

