/* Copyright (C)  2016 - INRIA - Serge Steer
   This file is licensed under the  the CeCILL v.2.1.*/
#include <math.h>
#include "scicos_block4.h"
void  IntegralSim(scicos_block *Cblk, scicos_flag flag)
{
  int i = 0;
   int n = GetInPortRows(Cblk,1); 

  if (flag == DerivativeState){
    double *in = GetRealInPortPtrs(Cblk,1);  
    double *xd = GetDerState(Cblk);
    for(i=0; i<n; ++i) xd[i] = in[i];
  }
  else if (flag == OutputUpdate || flag == ReInitialization){
    double *x = GetState(Cblk);
    double *out = GetRealOutPortPtrs(Cblk,1);
    for(i=0; i<n; ++i) out[i] = x[i];
  }
  else if (flag == StateUpdate){
    double *x = GetState(Cblk);
    double *in2 = GetRealInPortPtrs(Cblk,2);  
    for(i=0; i<n; ++i) x[i] = in2[i];
  }
}
