/* Copyright (C)  2016 - INRIA - Serge Steer
   This file is licensed under the  the CeCILL v.2.1.*/
#include "math.h"
#include "scicos_block4.h"
void PlusSim(scicos_block *Cblk, scicos_flag flag)
{
  if(flag == OutputUpdate || flag == ReInitialization){
    double *in1 = GetRealInPortPtrs(Cblk,1);
    double *in2 = GetRealInPortPtrs(Cblk,2);
    double *out = GetRealOutPortPtrs(Cblk,1);
    int nrow = GetInPortRows(Cblk,1); 
    int ncol = GetInPortCols(Cblk,1);
    int j = 0;
    for (j = 0; j<nrow*ncol; j++)  out[j] = in1[j] + in2[j];
  }
  else {
    /* le bloc n'ayant ni état interne, ni entrée événement, ni surface critique
     * la fonction n'est appelée que pour évaluer F */
  }
}
