// Copyright (C)  2016 - INRIA - Serge Steer
//
// This file is licensed under the  the CeCILL v.2.1.
function builder_c()
  script_path = get_absolute_file_path("builder_c.sce");
  lib_name = "MaPalette";
  c_files = ["PlusSim.c" "Rot3DSim.c" "IntegralSim.c" "AbsSim.c" ...
             "LocalMaxSim.c" "DiffSim.c"];
  simulation_fonctions = ["PlusSim" "Rot3DSim" "IntegralSim" "AbsSim" ...
                    "LocalMaxSim" "DiffSim"];
  if newest(script_path+["date_build","builder_c.sce",c_files])==1 then 
    return
  end
  CFLAGS = ilib_include_flag(script_path);
  LDFLAGS = "";
  Libs = ""
  curdir = pwd();
  try
    tbx_build_src(simulation_fonctions, c_files, "c", script_path, ...
                  Libs, LDFLAGS, CFLAGS, "","", lib_name);
    mputl(sci2exp(getdate()),script_path+'date_build');
  catch
    mprintf("%s\n",lasterror())
    cd(curdir);
  end
endfunction

builder_c();
clear builder_c; // remove builder_c on stack
